## autogen 5.10-1maemo1

=== debian/changelog ===
autogen (1:5.10-1maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu lucid version

 -- Thomas Tanner <tanner@maemory.com>  Fri, 05 Feb 2010 00:00:00 +0100

autogen (1:5.10-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file.
  * Remove /usr/share/info/dir. Closes: #555500.
  * Add missing install-info and ${misc:Depends} dependencies.
  * Make some dependencies stricter.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 17 Nov 2009 18:48:36 +0000

autogen (1:5.9.9-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.3.
  * debian/patches
    - 02_fix_bashisms_in_tests.diff - Fix bashisms in tests.
      Closes: #543084.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 18:51:45 +0100

autogen (1:5.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix_hurd_FTBFS.diff - Fix FTBFS on GNU/Hurd. Thanks to
      Barry deFreese <bdefreese@debian.org> Closes: #532791.
  * debian/control
    - Add Vcs-* fields.
    - Update Standards-Version to 3.8.1. (No changes).
  * Renable tests.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 11 Jun 2009 19:12:22 +0100

autogen (1:5.9.7-1) unstable; urgency=low

  * New upstream release.
  * Fix parallel builds.
  * Remove 01_fix_manpages.diff - Gone upstream.
  * Fix descriptions. Closes: #502339.
  * Upgrade guile dependency to 1.8.
  * Disable tests.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Nov 2008 13:36:34 +0000

autogen (1:5.9.5-3) unstable; urgency=low

  * debian/rules:
    - Remove generated binary files on clean to fix FTBFS twice.
    - Tidy up build process.
  * debian/control:
    - Change maintainer email address.
    - Upgrade compat to 7, upgrade debhelper Build-Depends to (>= 7).
    - Update Standards-Version to 3.8.0. (No changes).
    - Remove old base-files depends.
    - Reformat and tidy up package descriptions.
    - Replace obsolete tetex-bin Build-Depend with texlive.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 14 Oct 2008 21:20:09 +0100

autogen (1:5.9.5-2) unstable; urgency=low

  * Fix 01_fix_manpages.diff. Closes: #485180.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 08 Jun 2008 18:25:31 +0100

autogen (1:5.9.5-1) unstable; urgency=low

  * New upstream release. Closes: #482881.
  * Bump debhelper dependency to (>= 5).
  * Add quilt patch system.
   + 00_fix_as-needed. Fix -Wl,--as-needed flag.
   + 01_fix_manpages. Fix errors in manpages.
  * Update debian/copyright.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 25 May 2008 21:33:58 +0100

autogen (1:5.9.4-1) unstable; urgency=low

  * New upstream release.
  * New Maintainer. Closes: #466329
  * Update compat version to 5.
  * Build depend on just libguile-1.6-dev, (Build currently fails with 1.8)
  * Corrected section in doc-base.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 06 Mar 2008 16:57:12 +0000

autogen (1:5.9.4~pre12-1) experimental; urgency=low

  * New upstream prerelease.

 -- Matt Kraai <kraai@debian.org>  Tue, 11 Dec 2007 00:03:11 -0800

autogen (1:5.9.3-4) unstable; urgency=low

  * Add a Homepage field to debian/control.

 -- Matt Kraai <kraai@debian.org>  Fri, 30 Nov 2007 10:09:36 -0800

autogen (1:5.9.3-3) unstable; urgency=low

  * Add " debian uupdate" to debian/watch.

 -- Matt Kraai <kraai@debian.org>  Tue, 13 Nov 2007 00:25:17 -0800

autogen (1:5.9.3-2) unstable; urgency=low

  * Update debian/watch, thanks to Bruce Korb, closes: #449690.

 -- Matt Kraai <kraai@debian.org>  Thu, 08 Nov 2007 21:59:41 -0800

autogen (1:5.9.3-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Sun, 07 Oct 2007 15:33:47 -0700

autogen (1:5.9.2-3) unstable; urgency=low

  * Reference the GNU GPL and GNU LGPL in /usr/share/common-licenses and
    add dependencies on base-files (>=4.0.1).

 -- Matt Kraai <kraai@debian.org>  Sat, 06 Oct 2007 01:23:19 -0700

autogen (1:5.9.2-2) unstable; urgency=low

  * Do not ignore errors from $(MAKE) distclean in debian/rules.
  * Change ${Source-Version} to ${binary:Version} in debian/control.
  * Update the index path for the HTML documentation in autogen.doc-base.

 -- Matt Kraai <kraai@debian.org>  Sat, 28 Jul 2007 15:37:18 -0700

autogen (1:5.9.2-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Sat, 28 Jul 2007 14:57:26 -0700

autogen (1:5.9.1-2) unstable; urgency=low

  * Move the debhelper compatibility level setting from debian/rules to
    debian/compat.
  * Update the Standards-Version to 3.7.2.
  * Convert debian/changelog to UTF-8.
  * Change pkgconfig_SCRIPTS to pkgconfig_DATA in autoopts/Makefile.am and
    ran automake.

 -- Matt Kraai <kraai@debian.org>  Tue, 15 May 2007 23:19:17 -0700

autogen (1:5.9.1-1) unstable; urgency=low

  * New release.
  * Prepend $f to LD_LIBRARY_PATH in getopt.tpl.

 -- Matt Kraai <kraai@debian.org>  Thu, 10 May 2007 06:45:47 -0700

autogen (1:5.9-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Tue, 10 Apr 2007 21:14:32 -0700

autogen (1:5.8.9-2) experimental; urgency=low

  * Decrement AO_AGE, closes: #409056.

 -- Matt Kraai <kraai@debian.org>  Sat,  3 Feb 2007 08:22:50 -0800

autogen (1:5.8.9-1) experimental; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Wed, 31 Jan 2007 06:27:15 -0800

autogen (1:5.8.8-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Tue, 19 Dec 2006 00:04:12 -0800

autogen (1:5.8.7-2) unstable; urgency=low

  * Remove an extra backslash in error.test.
  * Ignore "Aborted" messages in error.test, closes: #373666.

 -- Matt Kraai <kraai@debian.org>  Tue, 19 Dec 2006 00:03:34 -0800

autogen (1:5.8.7-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Sun,  3 Dec 2006 09:47:30 -0800

autogen (1:5.8.3-2) unstable; urgency=low

  * Fix the MIPS test failures, closes: #357990.

 -- Matt Kraai <kraai@debian.org>  Wed, 22 Mar 2006 15:31:28 -0800


