=== debian/control ===
Source: autogen
Section: devel
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper7 (>= 7.4.11-maemo5), autotools-dev, gperf, guile-1.8-dev, libxml2-dev, texinfo, texi2html, quilt
Standards-Version: 3.8.3
Homepage: http://www.gnu.org/software/autogen/
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-autogen.git
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-autogen.git

Package: autogen
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.14) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
Description: automated text file generator
 AutoGen is a tool designed for generating program files that contain
 repetitive text with varied substitutions. This is especially valuable if
 there are several blocks of such text that must be kept synchronized.
 .
 Included with AutoGen is a tool that virtually eliminates the hassle of
 processing options, keeping usage text up to date and so on. This tool
 allows you to specify several program attributes, innumerable options and
 option attributes, then it produces all the code necessary to parse and
 handle the command line and initialization file options.
 .
 This package contains the development tools. libopts25-dev contains the
 static libraries and header files. libopts25 contains the shared libraries.

Package: libopts25
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libopts9
Replaces: autogen, libopts9
Section: libs
Description: automated option processing library based on autogen
 This package contains the shared libraries needed by binaries that use
 autoopts for option processing. The package containing the header files
 and static libraries is libopts25-dev. The package containing the
 development tools is autogen.

Package: libopts25-dev
Architecture: any
Depends: libopts25 (= ${binary:Version}), ${misc:Depends}
Conflicts: libopts9-dev
Replaces: autogen, libopts9-dev
Section: libdevel
Description: automated option processing library based on autogen
 This package contains the header files and static libraries used by
 autoopts. The package containing the shared libraries is libopts25. The
 package containing the development tools is autogen.
