=== debian/watch ===
version=3
http://sf.net/autogen/autogen-([\d\.]+)\.tar\.gz
