## autogen 5.17.1

=== debian/changelog ===
autogen (1:5.17.1-1ubuntu2) raring; urgency=low

  * Mark autogen package Multi-Arch: foreign. (LP: #1118246)
    Thanks Wookey.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 02 Mar 2013 23:30:21 +0000

autogen (1:5.17.1-1ubuntu1) raring; urgency=low

  * Build using guile-2.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 15:55:24 +0100

autogen (1:5.17.1-1) experimental; urgency=low

  * New upstream version.
    + Drop 10_usecolumnsfrombuildtree.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jan 2013 13:05:46 +0100

autogen (1:5.17-1) experimental; urgency=low

  * New upstream version.
  * Pull [10_usecolumnsfrombuildtree.diff] from upstream git: define CLexe in
    the enumeration templates.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Dec 2012 15:06:08 +0100

autogen (1:5.16.2-2) experimental; urgency=low

  * 02_fix_hurd_identifiermacro.diff - Use correct #define to allow building
    on hurd. (#629142)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Sep 2012 09:05:11 +0200

autogen (1:5.16.2-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 Aug 2012 08:55:19 +0200

autogen (1:5.16.2~pre9-1) experimental; urgency=low

  * New upstream test version.
    + Drop 20_ignore_AG_LDFLAGS.diff and 25_fixia64FTBFS.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Aug 2012 17:03:02 +0200

autogen (1:5.16-2) experimental; urgency=low

  * 25_fixia64FTBFS.diff: Update agen5/functions.c from 5.16.1pre6, this
    should fix FTBFS on ia64.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Jun 2012 19:48:53 +0200

autogen (1:5.16-1) experimental; urgency=low

  * New upstream version. Closes: #661355
  * Point watch file to ftp.gnu.org.
  * Use 3.0 (quilt) format.
  * Add build-indep (noop) and build-arch targets.
  * Drop conflicts/replaces with libopts9. Closes: #648714
  * Use 'dpkg-buildflags --export=configure' to get hardening-flags. Append
    -Wall to CFLAGS. Add required b-d on dpkg-dev (>= 1.16.1).
    Add debian/patches/10_dropallWerroropts.diff to fix testsuite error.
  * Point Vcs-* to git.debian.org.
  * Update 00_fix_as-needed.diff for 5.16.
  * Drop 10_dropallWerroropts.diff, included in 5.16.
  * Add 20_ignore_AG_LDFLAGS.diff, fixing a FTBFS with non-empty LDFLAGS.
  * Adopt package, since it a gnutls build-dependency. (Co-)maintainers
    are still welcome. Closes: #674867
  * Use pkg-config to get libxml2 libs/cflags instead of libxml2-config. The
    latter unnecessarily pulls in -lz.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jun 2012 16:32:11 +0200

autogen (1:5.12-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Don't set rpath for default search paths. (Closes: #630176)
    - Fixes build issue on Hurd.
    - Drop patch 02_home.diff, applied upstream
  * Don't run the build target twice.  Patch from Matthias Klose
    <doko@debian.org> (Closes: #629690)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 10 Jul 2011 15:05:23 +0200

autogen (1:5.11.9-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Bruce Korb <bkorb@gnu.org> to deal with non-existing
    $HOME (Closes: #629142)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 04 Jun 2011 15:17:34 +0000

autogen (1:5.11.9-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #624755, #619791)
    - Removed 02_fix_bashisms_in_tests.diff, fixed upstream
    - autoopts.pc moved to /usr/share/pkgconfig
    - liboptschk.m4 moved to /usr/share/autogen
    - install autoopts.m4 in /usr/share/aclocal
    - libguileopts is removed from the library
  * Remove *.la files (Closes: #621207)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 03 Jun 2011 16:19:19 +0000

autogen (1:5.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set shlibs so that other packages get proper Depends (Closes: #562791)
  * Don't let autoopts-config return an rpath.  This is not useful on any
    Debian system.  (Closes: #562607)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 30 Jan 2010 20:13:56 +0100
