=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: autogen
 Section: devel
 Priority: optional
-Maintainer: Thomas Tanner <tanner@maemory.com>
-XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
-Build-Depends: debhelper7 (>= 7.4.11-maemo5), autotools-dev, gperf, guile-1.8-dev, libxml2-dev, texinfo, texi2html, quilt
-Standards-Version: 3.8.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper (>= 7), autotools-dev, gperf, guile-2.0-dev,
+ libxml2-dev, texinfo, texlive, texi2html, dpkg-dev (>= 1.16.1), 
+ pkg-config
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-autogen.git
-Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-autogen.git
+Vcs-Git: git://git.debian.org/git/collab-maint/autogen.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/autogen.git
 
 Package: autogen
 Architecture: any
-Depends: ${shlibs:Depends}, dpkg (>= 1.14) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
 Description: automated text file generator
  AutoGen is a tool designed for generating program files that contain
  repetitive text with varied substitutions. This is especially valuable if
@@ -29,8 +32,7 @@
 Package: libopts25
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libopts9
-Replaces: autogen, libopts9
+Replaces: autogen
 Section: libs
 Description: automated option processing library based on autogen
  This package contains the shared libraries needed by binaries that use
