## autogen 5.18

=== debian/changelog ===
autogen (1:5.18-2ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 11:37:51 +0100

autogen (1:5.18-2ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Build using guile-2.0.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 11:45:11 +0100

autogen (1:5.18-2) unstable; urgency=low

  * Upload to unstable. (The autobuilders did not try, but manual builds on
    armel/mips/mipsel succeeded.) 

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Jul 2013 07:56:42 +0200

autogen (1:5.18-1) experimental; urgency=low

  * New upstream version, almost identical to 5.17.5~pre14.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jul 2013 14:52:10 +0200

autogen (1:5.17.5~pre14-1) experimental; urgency=low

  * Pull from Ubuntu: Mark autogen package Multi-Arch: foreign.
  * Clean up debian/control:
    + Drop b-d on dpkg-dev (>= 1.16.1), we are using dh v9 instead of
      invoking dpkg-buildflags directly.
    + Drop dependency on dpkg (>= 1.15.4) | install-info.
  * New upstream development release.
    + Includes fix for Mayhem issue. Closes: #715955
  * Build with -Wno-format-contains-nul. Closes: #715311

 -- Andreas Metzler <ametzler@debian.org>  Tue, 16 Jul 2013 18:51:38 +0200

autogen (1:5.17.4-2) unstable; urgency=low

  * Upload to unstable.
  * Convert to dh.
  * Use debhelper v9 mode, including multiarch.
  * 03_no_rpath_multiarch.diff: Stop autoopts-config from causing unnecessary
    rpath entries when libopts is installed to a multiarch path.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jul 2013 13:33:40 +0200

autogen (1:5.17.4-1) experimental; urgency=low

  * New upstream release.
  * Drop 10_testsuiteerror.diff.
  * Use anonscm.debian.org instead of git.d.o in Vcs-* fields.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Jun 2013 19:09:47 +0200

autogen (1:5.17.3-2ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Mark autogen package Multi-Arch: foreign.
    - Build using guile-2.0.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 13:49:44 +0100

autogen (1:5.17.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Jun 2013 19:34:21 +0200

autogen (1:5.17.3-1) experimental; urgency=low

  * New upstream release.
  * 10_testsuiteerror.diff - Fix newly introduced testsuite problem.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Apr 2013 09:14:31 +0200

autogen (1:5.17.2-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Mar 2013 14:44:23 +0100
