=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, gperf, guile-2.0-dev,
- libxml2-dev, texinfo, texlive, texi2html, dpkg-dev (>= 1.16.1), 
+Build-Depends: debhelper (>= 9), autotools-dev, gperf, guile-2.0-dev,
+ libxml2-dev, texinfo, texlive, texi2html, dh-autoreconf,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: git://git.debian.org/git/collab-maint/autogen.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/autogen.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
 
 Package: autogen
 Architecture: any
+Depends: ${shlibs:Depends}, libopts25-dev (= ${binary:Version}),
+ ${misc:Depends}
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
 Description: automated text file generator
  AutoGen is a tool designed for generating program files that contain
  repetitive text with varied substitutions. This is especially valuable if
@@ -31,9 +32,11 @@
 
 Package: libopts25
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: autogen
 Section: libs
+Multi-Arch: same
 Description: automated option processing library based on autogen
  This package contains the shared libraries needed by binaries that use
  autoopts for option processing. The package containing the header files
