=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/autogen/rel([\d\.]+)/autogen-([\d\.]+)\.tar\.gz
