## autogen 5.18.3

=== debian/changelog ===
autogen (1:5.18.3-6) unstable; urgency=medium

  * Bump build-dep on guile-2.0-dev to a version without #701861.
    Closes: #757186
  * Build using dh-autoreconf. (Merged from Ubuntu, thanks Matthias Klose)
    Drop 00_fix_as-needed.diff, since it does not work anymore.
    Closes: #757050

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Aug 2014 19:47:41 +0200

autogen (1:5.18.3-5) unstable; urgency=medium

  * Update debian/copyright. (Thanks, Thorsten Alteholz)
    Closes: #752402
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Jun 2014 19:36:34 +0200

autogen (1:5.18.3-4) experimental; urgency=medium

  [ Peter Pentchev ]
  * Move the PostScript and HTML documentation to a new
    architecture-independent autogen-doc package.
  * Move autogen-doc build dependencies to B-D-I.
    Closes: #751470

  [ Andreas Metzler ]
  * autogen-doc Breaks/Replaces autogen (<< 1:5.18.3-4) since
    /usr/share/doc-base/autogen moved from one package to the other.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Jun 2014 19:24:38 +0200

autogen (1:5.18.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jun 2014 13:54:28 +0200

autogen (1:5.18.3-2) experimental; urgency=medium

  * Add a build-depency on cm-super-minimal which seems to have become
    necessary for dvips with texlive 2014.201405XX.
    Closes: #750310
  * Add debian/upstream/metadata.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Jun 2014 19:05:49 +0200

autogen (1:5.18.3-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 29 May 2014 14:08:38 +0200

autogen (1:5.18.3~pre36-1) experimental; urgency=medium

  * New upstream release. - Should fix/workaround #747592.
  * Refresh 10_handle_grep_error.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 May 2014 19:25:08 +0200

autogen (1:5.18.3~pre34-1) experimental; urgency=medium

  * New upstream release.
  * 10_handle_grep_error.diff: Fix FTBFS against guile-2.0.11.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 May 2014 19:34:01 +0200

autogen (1:5.18.3~pre19-1) experimental; urgency=medium

  * Build against guile 2.0. Closes: #745990
  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Apr 2014 14:17:30 +0200

autogen (1:5.18.3~pre16-1) experimental; urgency=low

  * Ship /usr/share/autogen/libopts-x.y.z.tar.gz tearoff in autogen binary
    package. Closes: #728817
  * New upstream release.
  * Move autoopts.pc from /usr/share to /usr/lib/multiarch-triplet.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature. Let watchfile match .xz, too.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Feb 2014 15:15:42 +0100

autogen (1:5.18.3~pre5-1) experimental; urgency=low

  * New upstream release.
    + Should fix FTBFS with gcc-4.6 (stdnoreturn.h breakage).

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Nov 2013 19:40:12 +0100

autogen (1:5.18.2-1) experimental; urgency=low

  * New upstream release.
  * Drop parts of 01_fix_hurd_FTBFS.diff, included upstream.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Oct 2013 12:14:44 +0200

autogen (1:5.18.1-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Sep 2013 08:23:49 +0200

autogen (1:5.18.1~pre1-1) experimental; urgency=low

  * New upstream development release.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Jul 2013 12:57:16 +0200
