=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: autogen
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, gperf, guile-2.0-dev,
- libxml2-dev, texinfo, texlive, texi2html, dh-autoreconf,
- pkg-config
-Standards-Version: 3.9.4
+Maintainer: Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper (>= 9), autotools-dev, gperf,
+ guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
+Build-Depends-Indep: texinfo, texlive, texi2html, cm-super-minimal
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
@@ -15,6 +14,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, libopts25-dev (= ${binary:Version}),
  ${misc:Depends}
+Recommends: autogen-doc
 Multi-Arch: foreign
 Description: automated text file generator
  AutoGen is a tool designed for generating program files that contain
@@ -29,6 +29,20 @@
  .
  This package contains the development tools. libopts25-dev contains the
  static libraries and header files. libopts25 contains the shared libraries.
+ autogen-doc contains the PostScript and HTML documentation.
+
+Package: autogen-doc
+Section: doc
+Breaks: autogen (<< 1:5.18.3-4)
+Replaces: autogen (<< 1:5.18.3-4)
+Depends: ${misc:Depends}
+Architecture: all
+Description: automated text file generator - documentation
+ AutoGen is a tool designed for generating program files that contain
+ repetitive text with varied substitutions. This is especially valuable if
+ there are several blocks of such text that must be kept synchronized.
+ .
+ This package contains the PostScript and HTML documentation.
 
 Package: libopts25
 Architecture: any
