=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,11 @@
 
 override_dh_auto_build:
 	dh_auto_build --verbose
-	$(MAKE) -C doc autogen.ps info
+	$(MAKE) -C doc info
+ifneq (,$(filter autogen-doc, $(shell dh_listpackages)))
+	$(MAKE) -C doc autogen.ps
 	cd doc && texi2html -split=chapter -subdir=html autogen.texi
+endif
 
 
 override_dh_auto_clean:
@@ -26,8 +29,9 @@
 
 override_dh_auto_install:
 	dh_auto_install  --verbose
-	rm -vf $(CURDIR)/debian/tmp/usr/share/autogen/*.tar.gz \
-		$(CURDIR)/debian/tmp/usr/share/info/dir \
+	mv -v $(CURDIR)/debian/tmp/usr/share/pkgconfig \
+		`dirname $(CURDIR)/debian/tmp/usr/lib/*/libopts.la`
+	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
 		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la
