## autogen 5.18.4

=== debian/changelog ===
autogen (1:5.18.4-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix typo in 04_crossbuild.diff. Closes: #762021

  [ Andreas Metzler ]
  * Make /usr/share in libopts25-dev package binary identical on rebuilds. -
    Use sed to set the date in generated manpages' .TH header to the one in
    debian/changelog instead of `date -I`.
  * libopts25-dev is Multi-Arch: same. Closes: #762019

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Sep 2014 15:57:52 +0200

autogen (1:5.18.4-2) unstable; urgency=medium

  * 15_add_missing_file_from_GIT.diff: Also add config/libopts.def.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Sep 2014 08:41:21 +0200

autogen (1:5.18.4-1) experimental; urgency=medium

  * New upstream version.
    + Drop 10_handle_grep_error.diff.
    + Autogen does not include timestamp in generated files anymore.
      Closes: #762030 
  * 10_licensing.diff from upstream GIT: Add missing licensing headers.
  * Update debian/copyright, fix DEP-5 format errors.
  * 11_fix_testsuite.error.diff fix testsuite error on dash.
  * 15_add_missing_file_from_GIT.diff Add config/misc.def from upstream GIT.
    Closes: #761602
  * 04_crossbuild.diff by Helmut Grohne: On cross-builds invoke the system
    copy of autogen instead of the freshly cross-built foreign one.
    Closes: #762021

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Sep 2014 16:25:04 +0200
