=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autotools-dev, gperf,
  guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
 Build-Depends-Indep: texinfo, texlive, texi2html, cm-super-minimal
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
@@ -59,10 +59,12 @@
 
 Package: libopts25-dev
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libopts25 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libopts9-dev
 Replaces: autogen, libopts9-dev
 Section: libdevel
+Multi-Arch: same
 Description: automated option processing library based on autogen
  This package contains the header files and static libraries used by
  autoopts. The package containing the shared libraries is libopts25. The
