=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul
+DATECHLOG := $(shell date \
+	-d "`dpkg-parsechangelog | \
+	sed -n '/^Date: /s/^Date: //p'`" \
+	+%Y-%m-%d)
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
@@ -33,6 +37,9 @@
 		`dirname $(CURDIR)/debian/tmp/usr/lib/*/libopts.la`
 	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
 		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la
+	find debian/tmp/usr/share/man/ -type f -exec \
+		sed -i -e "s:\(^\.TH .*\) 2[[:digit:]][[:digit:]][[:digit:]]-[01][[:digit:]]-[0123][[:digit:]] :\1 $(DATECHLOG) :" \
+		{} +
 
 
 override_dh_install:
