## autogen 5.18.6~pre3

=== debian/changelog ===
autogen (1:5.18.6~pre3-3) unstable; urgency=low

  * Use standard automake html target, which uses makeinfo instead of
    texi2html to generate html docs. As a side-effect invalidates /
    Closes: #635311 since the manual is split differently.
  * Ship and generate pdf instead of ps docs.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jul 2015 13:02:02 +0200

autogen (1:5.18.6~pre3-2) experimental; urgency=medium

  * Add 20_nosetlocale.diff, to really Closes: #787866.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jul 2015 16:13:36 +0200

autogen (1:5.18.6~pre3-1) experimental; urgency=medium

  * New upstream version.
    + Unwinds Guile wrapper macro removals, which should fix spurious
      breakage. Closes: #787866

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 Jun 2015 08:24:37 +0200

autogen (1:5.18.5-3) unstable; urgency=medium

  * 10_libopts_tarball_perms.diff: Sanitize file/directory permissions and
    owner in libopts tarball. Override mtime with ${BUILD_DATE} which is
    exported in debian/rules. Avoid gzip timestamp.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 23 Jun 2015 19:26:20 +0200

autogen (1:5.18.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 May 2015 13:53:51 +0200

autogen (1:5.18.5-1) experimental; urgency=medium

  * Quote license grant headers in debian/copyright.
  * New upstream version.
    + Drop 10_licensing.diff, 11_fix_testsuite.error.diff and
      15_add_missing_file_from_GIT.diff.
    + Manual move of pkgconfig file to multiarch dir is unnecessary now.
    + Ship tpl-config.tlib in usr/lib/multiarch-tuple/autogen/tpl-config.tlib.
    + Update debian/copyright.
  * Diverge from upstream by not shipping a second copy of tpl-config.tlib
    in /usr/share/autogen/.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 May 2015 18:10:45 +0200
