=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, gperf,
  guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
-Build-Depends-Indep: texinfo, texlive, texi2html, cm-super-minimal
+Build-Depends-Indep: texinfo, texlive, cm-super-minimal
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
