=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,9 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul
-DATECHLOG := $(shell date \
-	-d "`dpkg-parsechangelog | \
-	sed -n '/^Date: /s/^Date: //p'`" \
-	+%Y-%m-%d)
+# Used by 10_libopts_tarball_perms.diff
+export BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
+DATECHLOG := $(shell date -d '$(BUILD_DATE)' +%Y-%m-%d)
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
@@ -17,8 +16,8 @@
 	dh_auto_build --verbose
 	$(MAKE) -C doc info
 ifneq (,$(filter autogen-doc, $(shell dh_listpackages)))
-	$(MAKE) -C doc autogen.ps
-	cd doc && texi2html -split=chapter -subdir=html autogen.texi
+	$(MAKE) -C doc pdf
+	$(MAKE) -C doc html
 endif
 
 
@@ -33,10 +32,9 @@
 
 override_dh_auto_install:
 	dh_auto_install  --verbose
-	mv -v $(CURDIR)/debian/tmp/usr/share/pkgconfig \
-		`dirname $(CURDIR)/debian/tmp/usr/lib/*/libopts.la`
 	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
-		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la
+		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la \
+		$(CURDIR)/debian/tmp/usr/share/autogen/tpl-config.tlib
 	find debian/tmp/usr/share/man/ -type f -exec \
 		sed -i -e "s:\(^\.TH .*\) 2[[:digit:]][[:digit:]][[:digit:]]-[01][[:digit:]]-[0123][[:digit:]] :\1 $(DATECHLOG) :" \
 		{} +
