## autogen 5.18.7

=== debian/changelog ===
autogen (1:5.18.7-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: missing Build-Depends: autogen. Closes: #809728

  [ Andreas Metzler ]
  * Move Vcs-* from git/http to https.
  * Add B-D on dpkg-dev (>= 1.17.14) and version debhelper B-D with
    (>= 9.20141010). This is necessary for above-mentioned B-D on
    "autogen <cross>".

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jan 2016 14:27:31 +0100

autogen (1:5.18.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Dec 2015 11:23:43 +0100

autogen (1:5.18.7-1) experimental; urgency=medium

  * Change watchfile to search for files ftp://ftp.gnu.org/gnu/autogen/
    instead of relx.y subdirectories.
  * New upstream version.
    + Drop 01_fix_hurd_FTBFS.diff 02_fix_hurd_identifiermacro.diff,
      03_no_rpath_multiarch.diff 11_man3_fix_date.diff
      12_reprbuild_fs_dep.diff, unfuzz 10_libopts_tarball_perms.diff

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Dec 2015 07:59:34 +0100

autogen (1:5.18.6-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Oct 2015 08:51:44 +0100

autogen (1:5.18.6-3) experimental; urgency=medium

  * undefine LC_ALL in debian/rules to let reproducible build CI tests pass,
    which set LC_ALL in addition to LANG, preventing selective locale
    overrides (LC_COLLATE) from doing their job.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Oct 2015 16:34:24 +0200

autogen (1:5.18.6-2) experimental; urgency=medium

  * 11_man3_fix_date.diff: Add support for MAN_PAGE_DATE to .3 manpages.
  * 12_reprbuild_fs_dep.diff: Fix filesystem dependent order in
    autogen/usr/share/autogen/libopts-41.1.16.tar.gz -
    libopts-41.1.16/Makefile.am

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Oct 2015 12:12:58 +0200

autogen (1:5.18.6-1) experimental; urgency=medium

  * New upstream version.
    + Drop 20_nosetlocale.diff.
  * Reproducible build changes:
    + Use newly supported upstream MAN_PAGE_DATE environment variable instead
      of editing the manpage after build. Specify -u in the respective date(1)
      invocation.
    + configure with --enable-timeout=78 (This is the maximum value found in
      buildlogs, on mipsel.)
    + export LC_COLLATE=C in debian/rules.
    Closes: #794892 (Thanks, Valentin Lorentz)
    + Also update 10_libopts_tarball_perms.diff to use tar --sort=name and add
      the Build-Dependency on tar >= 1.28.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 30 Sep 2015 17:49:10 +0200
