=== debian/control ===
--- 
+++ 
@@ -2,13 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, gperf,
- guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
+Build-Depends: autotools-dev,
+ debhelper (>= 9.20141010),
+ dh-autoreconf,
+ dpkg-dev (>= 1.17.14),
+ gperf,
+ guile-2.0-dev (>= 2.0.11+1-0),
+ libxml2-dev,
+ pkg-config,
+ tar (>= 1.28),
+ autogen <cross>
 Build-Depends-Indep: texinfo, texlive, cm-super-minimal
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/autogen.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/autogen.git
 
 Package: autogen
 Architecture: any
