=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul
+export LC_COLLATE=C
+undefine LC_ALL
 # Used by 10_libopts_tarball_perms.diff
 export BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
-DATECHLOG := $(shell date -d '$(BUILD_DATE)' +%Y-%m-%d)
+export MAN_PAGE_DATE = $(shell env LC_ALL=C date -u -d '$(BUILD_DATE)' +%Y-%m-%d)
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
 		--disable-silent-rules \
+		--enable-timeout=78 \
 		--with-libxml2-libs="$(shell pkg-config --libs libxml-2.0)" \
 		--with-libxml2-cflags="$(shell pkg-config --cflags libxml-2.0)"
 
@@ -35,10 +38,6 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
 		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la \
 		$(CURDIR)/debian/tmp/usr/share/autogen/tpl-config.tlib
-	find debian/tmp/usr/share/man/ -type f -exec \
-		sed -i -e "s:\(^\.TH .*\) 2[[:digit:]][[:digit:]][[:digit:]]-[01][[:digit:]]-[0123][[:digit:]] :\1 $(DATECHLOG) :" \
-		{} +
-
 
 override_dh_install:
 	dh_install --fail-missing
