## autogen 5.18.10

=== debian/changelog ===
autogen (1:5.18.10-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Aug 2016 13:04:34 +0200

autogen (1:5.18.10-3) experimental; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS. Closes: #833171
    + Invoke the triplet prefixed pkg-config.
    + Always assume that the libc comes with a working libregex as autogen
      doesn't work at all without it.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 04 Aug 2016 19:24:27 +0200

autogen (1:5.18.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 13:19:19 +0200

autogen (1:5.18.10-1) experimental; urgency=medium

  * New upstream version, also pull 21_test.error.diff from upstream GIT. -
    Should fix testsuite error on mips/armhf.
    + Drop 20_remove-quotes-for-disabled-options-in-man-pages.patch.
  * Point watchfile to rel([\d\.]+)/ subdirectory again.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 May 2016 07:47:14 +0200

autogen (1:5.18.9-1) experimental; urgency=medium

  * New upstream version.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all.
  * Update upstream signing key, store ascii-armored copy in
    debian/upstream/signing-key.asc instead of a binary copy (with mention in
    debian/source/include-binaries) in debian/upstream-signing-key.pgp.
  * Pull 20_remove-quotes-for-disabled-options-in-man-pages.patch from
    upstream GIT to fix broken formatting in autogen-erated manpages.
    Closes: #817859

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 May 2016 18:17:34 +0200
