=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  tar (>= 1.28),
  autogen <cross>
 Build-Depends-Indep: texinfo, texlive, cm-super-minimal
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/autogen.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/autogen.git
